<h2> Template: <small>Dinámicos</small> </h2>
<hr>

<form (ngSubmit)="guardar()" autocomplete="off" #miForm="ngForm">
    <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Nombre</label>
        <div class="col-sm-9">
            <input type="text"
                   class = "form-control" 
                   name = "nombre" 
                   [(ngModel)] = "persona.nombre"
                   placeholder = "Nombre de la persona" required>
            <span class="form-text text-danger" *ngIf="nombreValido()">Debe Ingresar un nombre de la persona</span>
        </div>
    </div>
    <!-- Campo de Agregar -->
    <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Agregar</label>
        <div class="col-sm-9">
            <div class="input-group">
                <input type="text" 
                       class="form-control" 
                       name="nuevoJuego"
                       [(ngModel)]="nuevoJuego"
                       placeholder="Agregar favorito" 
                       aria-label="Agregar favorito" 
                       (keyup.enter)="agregar()"
                       aria-describedby="button-addon2"
                       required>
                <button class="btn btn-outline-primary" type="button" id="button-addon2" (click)="agregar()">Agregar</button>
            </div>
        </div>
        <!-- <div class="col-sm-9">
            <input type="text"
                   class="form-control" 
                   name="nombre" 
                   ngModel 
                   placeholder="Nombre de la persona" required>
            <span class="form-text text-danger" *ngIf="nombreValido()">Debe Ingresar un nombre de la persona</span>
        </div> -->
    </div>

    <!-- Lista de Juegos favoritos -->
    <div class="mb-3 row">
        <label class="col-sm-3 col-form-label">Favoritos</label>
        <div class="col-sm-9"> 
            <!-- se tiene que generar dinamicamente  -->
            <div class="input-group" *ngFor="let item of persona.favoritos; let i = index">
                <input class="form-control mb-1 mt-1 float-end"                        
                       name="juego_{{i}}"
                       [(ngModel)]="item.nombre" 
                       required>
                <button class="btn btn-outline-danger mb-1 mt-1" type="button" id="button-addon2" (click)="eliminar(i)">Eliminar</button>
            </div>
        </div>
        <!-- <div class="col-sm-9">
            <input type="text"
                   class="form-control" 
                   name="nombre" 
                   ngModel 
                   placeholder="Nombre de la persona" required>
            <span class="form-text text-danger" *ngIf="nombreValido()">Debe Ingresar un nombre de la persona</span>
        </div> -->
    </div>

    <div class="row">
        <div class="col-ms-12">
            <button type="button" (click)="guardar()" [disabled]="miForm.invalid" class="btn btn-primary float-end">Guardar</button>
        </div>
    </div>
    <div class="row">
        <div class="col">
            <span>Valid</span>
            <pre>{{miForm.valid}}</pre>
            <br>
            <span>Touched</span>
            <pre>{{miForm.touched}}</pre>
            <br>
            <span>Value</span>
            <pre>{{miForm.value | json}}</pre>
            <br>
            <span>Persona</span>
            <pre>{{persona | json}}</pre>
        </div>
    </div>
</form>